package com.steerinfo.pretrack.pretrackscale.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车衡计量预报表")
public class PreTrackScale implements IBasePO<String> {
    /**
     * 预报编号（YYYYMMDD+4位流水）(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号（YYYYMMDD+4位流水）",required=true)
    private String predictionNo;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="通知单号",required=false)
    private String noticeNo;

    /**
     * 车号(CAR_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 挂号(TRAILER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String trailerNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 合同号(CONTRACT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contractNo;

    /**
     * 批次号(BATCH_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="批次号",required=false)
    private String batchNo;

    /**
     * 供应商/客户编号（外部单位账号）(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商/客户编号（外部单位账号）",required=false)
    private String customerSupplierNo;

    /**
     * 供应商/客户名称（外部单位名称）(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商/客户名称（外部单位名称）",required=false)
    private String customerSupplierName;

    /**
     * 原产地(委托货源)(SOURCE_AREA,VARCHAR,50)
     */
    @ApiModelProperty(value="原产地(委托货源)",required=false)
    private String sourceArea;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 材质编号(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="材质编号",required=false)
    private String materialNo;

    /**
     * 材质名称(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="材质名称",required=false)
    private String materialName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 发运毛重(SHIPMENT_GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运毛重",required=false)
    private BigDecimal shipmentGrossWeight;

    /**
     * 发运净重(SHIPMENT_NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运净重",required=false)
    private BigDecimal shipmentNetWeight;

    /**
     * 发运数量(SHIPMENT_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="发运数量",required=false)
    private Integer shipmentNum;

    /**
     * 附加重量总和(ADD_WEIGHT_SUM,DECIMAL,10)
     */
    @ApiModelProperty(value="附加重量总和",required=false)
    private BigDecimal addWeightSum;

    /**
     * 绑定卡号(BIND_CARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="绑定卡号",required=false)
    private String bindCardNo;

    /**
     * 卸货地点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点编号",required=false)
    private String loadPointNo;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    /**
     * 取样编号(SAMPLE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="取样编号",required=false)
    private String sampleNo;

    /**
     * 取样凭证(SAMPLE_VOUCHER,VARCHAR,40)
     */
    @ApiModelProperty(value="取样凭证",required=false)
    private String sampleVoucher;

    /**
     * 承运单位编号(CARRIER_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="承运单位编号",required=false)
    private String carrierUnitNo;

    /**
     * 承运单位名称(CARRIER_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运单位名称",required=false)
    private String carrierUnitName;

    /**
     * 委托类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报；4：集装箱预报（同单次预报）


分检预报：火车皮上托运了几种物料，在完成计量后需修改动态轨道衡那边的数据
）；5：双委托；6：一车多卸；7：混装(PREDICTION_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="委托类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报；4：集装箱预报（同单次预报）分检预报：火车皮上托运了几种物料，在完成计量后需修改动态轨道衡那边的数据）；5：双委托；6：一车多卸；7：混装",required=false)
    private String predictionType;

    /**
     * 预报组合(PREDICTION_COMBINATION,VARCHAR,100)
     */
    @ApiModelProperty(value="预报组合",required=false)
    private String predictionCombination;

    /**
     * 计量类型编号（业务类型）(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号（业务类型）",required=true)
    private String meterTypeNo;

    /**
     * 计量类型名称（业务类型）(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称（业务类型）",required=true)
    private String meterTypeName;

    /**
     * 可用类型（0：次数；1：时间；2：总量）(USED_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="可用类型（0：次数；1：时间；2：总量）",required=false)
    private String usedType;

    /**
     * 有效开始时间（YYYY-MM-DD HH:mm:ss）(EFFECTIVE_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效开始时间（YYYY-MM-DD HH:mm:ss）",required=false)
    private Date effectiveStartTime;

    /**
     * 有效结束时间（YYYY-MM-DD HH:mm:ss）(EFFECTIVE_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效结束时间（YYYY-MM-DD HH:mm:ss）",required=false)
    private Date effectiveEndTime;

    /**
     * 有效总量(EFFECTIVE_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="有效总量",required=false)
    private BigDecimal effectiveWeight;

    /**
     * 有效次数(EFFECTIVE_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="有效次数",required=false)
    private Integer effectiveNum;

    /**
     * 检斤重量(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="检斤重量",required=false)
    private BigDecimal meterWeight;

    /**
     * 检斤次数(METER_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="检斤次数",required=false)
    private Integer meterNum;

    /**
     * 火车车号（container_no集装箱号）(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="火车车号（container_no集装箱号）",required=false)
    private String railwayNo;

    /**
     * 计量流程编号(METER_PROCESS_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="计量流程编号",required=false)
    private String meterProcessNo;

    /**
     * 计量流程版本号(METER_PROCESS_EDITION_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="计量流程版本号",required=false)
    private String meterProcessEditionNo;

    /**
     * 备注(MEMO,VARCHAR,2000)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：未配车；1：未使用；2：已使用；3：已作废；4：正使用；9：已结算，被JISCO业务系统使用，不可撤销净重）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：未配车；1：未使用；2：已使用；3：已作废；4：正使用；9：已结算，被JISCO业务系统使用，不可撤销净重）",required=true)
    private String valueFlag;

    /**
     * 使用时间(USED_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="使用时间",required=false)
    private Date usedTime;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 前状态(P_VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="前状态",required=false)
    private String pValueFlag;

    /**
     * 配车时间（YYYY-MM-DD HH:mm:SS）(CAR_ALLOCATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="配车时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date carAllocationTime;

    /**
     * 是否完批（0=未完批；1=已完批）(IS_COMPLETED,VARCHAR,1)
     */
    @ApiModelProperty(value="是否完批（0=未完批；1=已完批）",required=false)
    private String isCompleted;

    /**
     * 检化验取样状态（0=未处理；1=待取样；2=已取样）(LIMS_SAMPLING_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="检化验取样状态（0=未处理；1=待取样；2=已取样）",required=false)
    private String limsSamplingFlag;

    /**
     * 炉号(HEAT_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String heatNo;

    /**
     * 身份证号(ID_NUM,VARCHAR,40)
     */
    @ApiModelProperty(value="身份证号",required=false)
    private String idNum;

    /**
     * 预报来源:物流、计量小程序、计量WEB、MES接口(PREDICTION_SOURCE,VARCHAR,40)
     */
    @ApiModelProperty(value="预报来源:物流、计量小程序、计量WEB、MES接口",required=false)
    private String predictionSource;

    /**
     * 创建机构名称(CREATE_DEPNAME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建机构名称",required=false)
    private String createDepname;

    /**
     * 创建机构ID(CREATE_DEPID,VARCHAR,40)
     */
    @ApiModelProperty(value="创建机构ID",required=false)
    private String createDepid;

    /**
     * 是否为当次使用预报（0为否，1为是）默认为否(LINE_DESC,VARCHAR,256)
     */
    @ApiModelProperty(value="是否为当次使用预报（0为否，1为是）默认为否",required=false)
    private String lineDesc;

    /**
     * 主凭据号(VOUCHER_IDENTITY,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据号",required=false)
    private String voucherIdentity;

    /**
     * 主凭据行(VOUCHER_ITEM,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据行",required=false)
    private String voucherItem;

    /**
     * 主业务类型组(BUSINESS_GROUP,VARCHAR,30)
     */
    @ApiModelProperty(value="主业务类型组",required=false)
    private String businessGroup;

    /**
     * 临时牌号(TEMP_CONVEYANCE,VARCHAR,30)
     */
    @ApiModelProperty(value="临时牌号",required=false)
    private String tempConveyance;

    /**
     * 车型(CONVEYANCE_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="车型",required=false)
    private String conveyanceType;

    /**
     * 委托源系统(RESOURCE_SYSTEM,VARCHAR,30)
     */
    @ApiModelProperty(value="委托源系统",required=false)
    private String resourceSystem;

    /**
     * 分组计件件量(GROUP_PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="分组计件件量",required=false)
    private Long groupPackageAmount;

    /**
     * 分组计量单位(GROUP_PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="分组计量单位",required=false)
    private String groupPackageUnit;

    /**
     * 标准件数(PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="标准件数",required=false)
    private Long packageAmount;

    /**
     * 计件单位(PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计件单位",required=false)
    private String packageUnit;

    /**
     * 理论量(THEORY_AMOUNT,DECIMAL,16)
     */
    @ApiModelProperty(value="理论量",required=false)
    private BigDecimal theoryAmount;

    /**
     * 计量组批号(MEASURE_BATCH,VARCHAR,30)
     */
    @ApiModelProperty(value="计量组批号",required=false)
    private String measureBatch;

    /**
     * 计量组批车数(MEASURE_BATCH_COUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量组批车数",required=false)
    private Long measureBatchCount;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;

    /**
     * 发货点备注(SENDER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="发货点备注",required=false)
    private String senderRemark;

    /**
     * 收货点类型(RECEIVER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String receiverType;

    /**
     * 收货点备注(RECEIVER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="收货点备注",required=false)
    private String receiverRemark;

    /**
     * 委托部门名称(TRUST_DEPARTMENT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="委托部门名称",required=false)
    private String trustDepartmentName;

    /**
     * 签发部门编码(TRUST_DEPARTMENT,VARCHAR,30)
     */
    @ApiModelProperty(value="签发部门编码",required=false)
    private String trustDepartment;

    /**
     * 签发人(TRUSTOR,VARCHAR,30)
     */
    @ApiModelProperty(value="签发人",required=false)
    private String trustor;

    /**
     * 签发时间(TRUST_DATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="签发时间",required=false)
    private Date trustDateTime;

    /**
     * 有效期截至时间(TRUST_AVAILABILITY_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效期截至时间",required=false)
    private Date trustAvailabilityTime;

    /**
     * 签发机器ip(TRUST_IP,VARCHAR,30)
     */
    @ApiModelProperty(value="签发机器ip",required=false)
    private String trustIp;

    /**
     * 使用秤体类型(STATION_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="使用秤体类型",required=false)
    private String stationType;

    /**
     * 使用站点编号(MEASURE_STATION,VARCHAR,30)
     */
    @ApiModelProperty(value="使用站点编号",required=false)
    private String measureStation;

    /**
     * 使用站点(MEASURE_STATION_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="使用站点",required=false)
    private String measureStationName;

    /**
     * 计量单位(AMOUNT_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计量单位",required=false)
    private String amountUnit;

    /**
     * 委托有效天数(TRUST_DAY,DECIMAL,1)
     */
    @ApiModelProperty(value="委托有效天数",required=false)
    private Short trustDay;

    /**
     * 运输工具组(CONVEYANCE_GROUP,VARCHAR,30)
     */
    @ApiModelProperty(value="运输工具组",required=false)
    private String conveyanceGroup;

    /**
     * 撤销状态(REVOCARTION_STATUS,VARCHAR,1)
     */
    @ApiModelProperty(value="撤销状态",required=false)
    private String revocartionStatus;

    /**
     * 使用站点(USE_SITE,VARCHAR,255)
     */
    @ApiModelProperty(value="使用站点",required=false)
    private String useSite;

    /**
     * 上传状态（1=待上传；0=已上传 ）(UPLOAD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="上传状态（1=待上传；0=已上传 ）",required=false)
    private String uploadFlag;

    /**
     * 确认状态(0：未确认；1：已确认)(SUBMIT_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="确认状态(0：未确认；1：已确认)",required=false)
    private String submitFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.predictionNo;
    }

    @Override
    public void setId(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getTrailerNo() {
        return trailerNo;
    }

    public void setTrailerNo(String trailerNo) {
        this.trailerNo = trailerNo == null ? null : trailerNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo == null ? null : contractNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getSourceArea() {
        return sourceArea;
    }

    public void setSourceArea(String sourceArea) {
        this.sourceArea = sourceArea == null ? null : sourceArea.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public BigDecimal getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    public void setShipmentGrossWeight(BigDecimal shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    public BigDecimal getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    public void setShipmentNetWeight(BigDecimal shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public BigDecimal getAddWeightSum() {
        return addWeightSum;
    }

    public void setAddWeightSum(BigDecimal addWeightSum) {
        this.addWeightSum = addWeightSum;
    }

    public String getBindCardNo() {
        return bindCardNo;
    }

    public void setBindCardNo(String bindCardNo) {
        this.bindCardNo = bindCardNo == null ? null : bindCardNo.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getSampleNo() {
        return sampleNo;
    }

    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo == null ? null : sampleNo.trim();
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher == null ? null : sampleVoucher.trim();
    }

    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo == null ? null : carrierUnitNo.trim();
    }

    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName == null ? null : carrierUnitName.trim();
    }

    public String getPredictionType() {
        return predictionType;
    }

    public void setPredictionType(String predictionType) {
        this.predictionType = predictionType == null ? null : predictionType.trim();
    }

    public String getPredictionCombination() {
        return predictionCombination;
    }

    public void setPredictionCombination(String predictionCombination) {
        this.predictionCombination = predictionCombination == null ? null : predictionCombination.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getUsedType() {
        return usedType;
    }

    public void setUsedType(String usedType) {
        this.usedType = usedType == null ? null : usedType.trim();
    }

    public Date getEffectiveStartTime() {
        return effectiveStartTime;
    }

    public void setEffectiveStartTime(Date effectiveStartTime) {
        this.effectiveStartTime = effectiveStartTime;
    }

    public Date getEffectiveEndTime() {
        return effectiveEndTime;
    }

    public void setEffectiveEndTime(Date effectiveEndTime) {
        this.effectiveEndTime = effectiveEndTime;
    }

    public BigDecimal getEffectiveWeight() {
        return effectiveWeight;
    }

    public void setEffectiveWeight(BigDecimal effectiveWeight) {
        this.effectiveWeight = effectiveWeight;
    }

    public Integer getEffectiveNum() {
        return effectiveNum;
    }

    public void setEffectiveNum(Integer effectiveNum) {
        this.effectiveNum = effectiveNum;
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public Integer getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Integer meterNum) {
        this.meterNum = meterNum;
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getMeterProcessNo() {
        return meterProcessNo;
    }

    public void setMeterProcessNo(String meterProcessNo) {
        this.meterProcessNo = meterProcessNo == null ? null : meterProcessNo.trim();
    }

    public String getMeterProcessEditionNo() {
        return meterProcessEditionNo;
    }

    public void setMeterProcessEditionNo(String meterProcessEditionNo) {
        this.meterProcessEditionNo = meterProcessEditionNo == null ? null : meterProcessEditionNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public Date getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Date usedTime) {
        this.usedTime = usedTime;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getpValueFlag() {
        return pValueFlag;
    }

    public void setpValueFlag(String pValueFlag) {
        this.pValueFlag = pValueFlag == null ? null : pValueFlag.trim();
    }

    public Date getCarAllocationTime() {
        return carAllocationTime;
    }

    public void setCarAllocationTime(Date carAllocationTime) {
        this.carAllocationTime = carAllocationTime;
    }

    public String getIsCompleted() {
        return isCompleted;
    }

    public void setIsCompleted(String isCompleted) {
        this.isCompleted = isCompleted == null ? null : isCompleted.trim();
    }

    public String getLimsSamplingFlag() {
        return limsSamplingFlag;
    }

    public void setLimsSamplingFlag(String limsSamplingFlag) {
        this.limsSamplingFlag = limsSamplingFlag == null ? null : limsSamplingFlag.trim();
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo == null ? null : heatNo.trim();
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum == null ? null : idNum.trim();
    }

    public String getPredictionSource() {
        return predictionSource;
    }

    public void setPredictionSource(String predictionSource) {
        this.predictionSource = predictionSource == null ? null : predictionSource.trim();
    }

    public String getCreateDepname() {
        return createDepname;
    }

    public void setCreateDepname(String createDepname) {
        this.createDepname = createDepname == null ? null : createDepname.trim();
    }

    public String getCreateDepid() {
        return createDepid;
    }

    public void setCreateDepid(String createDepid) {
        this.createDepid = createDepid == null ? null : createDepid.trim();
    }

    public String getLineDesc() {
        return lineDesc;
    }

    public void setLineDesc(String lineDesc) {
        this.lineDesc = lineDesc == null ? null : lineDesc.trim();
    }

    public String getVoucherIdentity() {
        return voucherIdentity;
    }

    public void setVoucherIdentity(String voucherIdentity) {
        this.voucherIdentity = voucherIdentity == null ? null : voucherIdentity.trim();
    }

    public String getVoucherItem() {
        return voucherItem;
    }

    public void setVoucherItem(String voucherItem) {
        this.voucherItem = voucherItem == null ? null : voucherItem.trim();
    }

    public String getBusinessGroup() {
        return businessGroup;
    }

    public void setBusinessGroup(String businessGroup) {
        this.businessGroup = businessGroup == null ? null : businessGroup.trim();
    }

    public String getTempConveyance() {
        return tempConveyance;
    }

    public void setTempConveyance(String tempConveyance) {
        this.tempConveyance = tempConveyance == null ? null : tempConveyance.trim();
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType == null ? null : conveyanceType.trim();
    }

    public String getResourceSystem() {
        return resourceSystem;
    }

    public void setResourceSystem(String resourceSystem) {
        this.resourceSystem = resourceSystem == null ? null : resourceSystem.trim();
    }

    public Long getGroupPackageAmount() {
        return groupPackageAmount;
    }

    public void setGroupPackageAmount(Long groupPackageAmount) {
        this.groupPackageAmount = groupPackageAmount;
    }

    public String getGroupPackageUnit() {
        return groupPackageUnit;
    }

    public void setGroupPackageUnit(String groupPackageUnit) {
        this.groupPackageUnit = groupPackageUnit == null ? null : groupPackageUnit.trim();
    }

    public Long getPackageAmount() {
        return packageAmount;
    }

    public void setPackageAmount(Long packageAmount) {
        this.packageAmount = packageAmount;
    }

    public String getPackageUnit() {
        return packageUnit;
    }

    public void setPackageUnit(String packageUnit) {
        this.packageUnit = packageUnit == null ? null : packageUnit.trim();
    }

    public BigDecimal getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(BigDecimal theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getMeasureBatch() {
        return measureBatch;
    }

    public void setMeasureBatch(String measureBatch) {
        this.measureBatch = measureBatch == null ? null : measureBatch.trim();
    }

    public Long getMeasureBatchCount() {
        return measureBatchCount;
    }

    public void setMeasureBatchCount(Long measureBatchCount) {
        this.measureBatchCount = measureBatchCount;
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark == null ? null : senderRemark.trim();
    }

    public String getReceiverType() {
        return receiverType;
    }

    public void setReceiverType(String receiverType) {
        this.receiverType = receiverType == null ? null : receiverType.trim();
    }

    public String getReceiverRemark() {
        return receiverRemark;
    }

    public void setReceiverRemark(String receiverRemark) {
        this.receiverRemark = receiverRemark == null ? null : receiverRemark.trim();
    }

    public String getTrustDepartmentName() {
        return trustDepartmentName;
    }

    public void setTrustDepartmentName(String trustDepartmentName) {
        this.trustDepartmentName = trustDepartmentName == null ? null : trustDepartmentName.trim();
    }

    public String getTrustDepartment() {
        return trustDepartment;
    }

    public void setTrustDepartment(String trustDepartment) {
        this.trustDepartment = trustDepartment == null ? null : trustDepartment.trim();
    }

    public String getTrustor() {
        return trustor;
    }

    public void setTrustor(String trustor) {
        this.trustor = trustor == null ? null : trustor.trim();
    }

    public Date getTrustDateTime() {
        return trustDateTime;
    }

    public void setTrustDateTime(Date trustDateTime) {
        this.trustDateTime = trustDateTime;
    }

    public Date getTrustAvailabilityTime() {
        return trustAvailabilityTime;
    }

    public void setTrustAvailabilityTime(Date trustAvailabilityTime) {
        this.trustAvailabilityTime = trustAvailabilityTime;
    }

    public String getTrustIp() {
        return trustIp;
    }

    public void setTrustIp(String trustIp) {
        this.trustIp = trustIp == null ? null : trustIp.trim();
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType == null ? null : stationType.trim();
    }

    public String getMeasureStation() {
        return measureStation;
    }

    public void setMeasureStation(String measureStation) {
        this.measureStation = measureStation == null ? null : measureStation.trim();
    }

    public String getMeasureStationName() {
        return measureStationName;
    }

    public void setMeasureStationName(String measureStationName) {
        this.measureStationName = measureStationName == null ? null : measureStationName.trim();
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit == null ? null : amountUnit.trim();
    }

    public Short getTrustDay() {
        return trustDay;
    }

    public void setTrustDay(Short trustDay) {
        this.trustDay = trustDay;
    }

    public String getConveyanceGroup() {
        return conveyanceGroup;
    }

    public void setConveyanceGroup(String conveyanceGroup) {
        this.conveyanceGroup = conveyanceGroup == null ? null : conveyanceGroup.trim();
    }

    public String getRevocartionStatus() {
        return revocartionStatus;
    }

    public void setRevocartionStatus(String revocartionStatus) {
        this.revocartionStatus = revocartionStatus == null ? null : revocartionStatus.trim();
    }

    public String getUseSite() {
        return useSite;
    }

    public void setUseSite(String useSite) {
        this.useSite = useSite == null ? null : useSite.trim();
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag == null ? null : uploadFlag.trim();
    }

    public String getSubmitFlag() {
        return submitFlag;
    }

    public void setSubmitFlag(String submitFlag) {
        this.submitFlag = submitFlag == null ? null : submitFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", trailerNo=").append(trailerNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", sourceArea=").append(sourceArea);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", shipmentGrossWeight=").append(shipmentGrossWeight);
        sb.append(", shipmentNetWeight=").append(shipmentNetWeight);
        sb.append(", shipmentNum=").append(shipmentNum);
        sb.append(", addWeightSum=").append(addWeightSum);
        sb.append(", bindCardNo=").append(bindCardNo);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", sampleNo=").append(sampleNo);
        sb.append(", sampleVoucher=").append(sampleVoucher);
        sb.append(", carrierUnitNo=").append(carrierUnitNo);
        sb.append(", carrierUnitName=").append(carrierUnitName);
        sb.append(", predictionType=").append(predictionType);
        sb.append(", predictionCombination=").append(predictionCombination);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", usedType=").append(usedType);
        sb.append(", effectiveStartTime=").append(effectiveStartTime);
        sb.append(", effectiveEndTime=").append(effectiveEndTime);
        sb.append(", effectiveWeight=").append(effectiveWeight);
        sb.append(", effectiveNum=").append(effectiveNum);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", meterProcessNo=").append(meterProcessNo);
        sb.append(", meterProcessEditionNo=").append(meterProcessEditionNo);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", usedTime=").append(usedTime);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", pValueFlag=").append(pValueFlag);
        sb.append(", carAllocationTime=").append(carAllocationTime);
        sb.append(", isCompleted=").append(isCompleted);
        sb.append(", limsSamplingFlag=").append(limsSamplingFlag);
        sb.append(", heatNo=").append(heatNo);
        sb.append(", idNum=").append(idNum);
        sb.append(", predictionSource=").append(predictionSource);
        sb.append(", createDepname=").append(createDepname);
        sb.append(", createDepid=").append(createDepid);
        sb.append(", lineDesc=").append(lineDesc);
        sb.append(", voucherIdentity=").append(voucherIdentity);
        sb.append(", voucherItem=").append(voucherItem);
        sb.append(", businessGroup=").append(businessGroup);
        sb.append(", tempConveyance=").append(tempConveyance);
        sb.append(", conveyanceType=").append(conveyanceType);
        sb.append(", resourceSystem=").append(resourceSystem);
        sb.append(", groupPackageAmount=").append(groupPackageAmount);
        sb.append(", groupPackageUnit=").append(groupPackageUnit);
        sb.append(", packageAmount=").append(packageAmount);
        sb.append(", packageUnit=").append(packageUnit);
        sb.append(", theoryAmount=").append(theoryAmount);
        sb.append(", measureBatch=").append(measureBatch);
        sb.append(", measureBatchCount=").append(measureBatchCount);
        sb.append(", senderType=").append(senderType);
        sb.append(", senderRemark=").append(senderRemark);
        sb.append(", receiverType=").append(receiverType);
        sb.append(", receiverRemark=").append(receiverRemark);
        sb.append(", trustDepartmentName=").append(trustDepartmentName);
        sb.append(", trustDepartment=").append(trustDepartment);
        sb.append(", trustor=").append(trustor);
        sb.append(", trustDateTime=").append(trustDateTime);
        sb.append(", trustAvailabilityTime=").append(trustAvailabilityTime);
        sb.append(", trustIp=").append(trustIp);
        sb.append(", stationType=").append(stationType);
        sb.append(", measureStation=").append(measureStation);
        sb.append(", measureStationName=").append(measureStationName);
        sb.append(", amountUnit=").append(amountUnit);
        sb.append(", trustDay=").append(trustDay);
        sb.append(", conveyanceGroup=").append(conveyanceGroup);
        sb.append(", revocartionStatus=").append(revocartionStatus);
        sb.append(", useSite=").append(useSite);
        sb.append(", uploadFlag=").append(uploadFlag);
        sb.append(", submitFlag=").append(submitFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}